<?php

namespace Drupal\slots_twig\TwigExtension;

use Twig\Extension\AbstractExtension;

/**
 * Slots twig extension interface.
 */
interface SlotTwigExtensionInterface {

  /**
   * Builds the slots render array.
   *
   * @param string $slot_id
   *   The slot id to build the content for.
   *
   * @return array
   *   A render array.
   */
  public function buildSlot(string $block_id): array;

}
